VMTKIMAGEWRITER(1)

NAME
vmtkimagewriter - vmtk script vmtkimagewriter

DESCRIPTION
Automatic piping vmtkimagewriter Parsing options vmtkimagewriter

vmtkimagewriter : write an image to disk

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-f Format (str,1) in ['vtkxml', 'vtk', 'meta', 'tiff', 'png',

    'pointdata', 'vtsxml']: file format

-guessformat GuessFormat (bool,1); default=1: guess file format

    from extension

-useitk UseITKIO (bool,1); default=1: use ITKIO mechanism

-transform ApplyTransform (bool,1); default=0: apply transform on

    writing - ITKIO only

-ofile OutputFileName (str,1): output file name

-o OutputFileName (str,1): output file name (deprecated: use

-ofile)

-rawfile OutputRawFileName (str,1): name of the output raw file -

    meta image only

-d OutputDirectoryName (str,1): output directory name - png, tiff

-r PixelRepresentation (str,1) in ['double', 'float', 'short']:

    output scalar type

-windowlevel WindowLevel (float,2); default=[1.0, 0.0]: window and

    level for mapping graylevels to 0-255 before writing - png, tiff

-matrix RasToIjkMatrixCoefficients (float,16); default=None

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self